// @ts-check

/** @type {import('pg').PoolConfig} */
const pgConfig = {
    user: process.env.POSTGRES_USER || 'postgres',
    host: process.env.POSTGRES_HOST || 'local.codefresh.io',
    database: process.env.AUDIT_POSTGRES_DATABASE || 'audit',
    password: process.env.POSTGRES_PASSWORD || 'postgres',
    port: Number.parseInt(process.env.POSTGRES_PORT || '5432', 10),
    max: Number.parseInt(process.env.POSTGRES_MAX_CONNECTIONS || '20', 10),
    idleTimeoutMillis: 30000,
    connectionTimeoutMillis: 20000,
    ssl: process.env.POSTGRES_SSL_ENABLE === 'true',
};

module.exports = {
    pgConfig
};
